libzypp 17.37.10

Repository.h File Reference
`#include <iosfwd>`
`#include <zypp/base/Iterator.h>`
`#include <zypp/Pathname.h>`
`#include <zypp/sat/detail/PoolMember.h>`
`#include <zypp/sat/LookupAttr.h>`
`#include <zypp/sat/Solvable.h>`
`#include <zypp/RepoInfo.h>`
`#include <zypp/Date.h>`
`#include <zypp/CpeId.h>`
`#include <zypp/sat/LookupAttrTools.h>`

Go to the source code of this file.

## Classes
class | zypp::Repository
class | zypp::Repository::ProductInfoIterator
| Query class for Repository related products. More...
struct | zypp::Repository::EraseFromPool
| Functor removing Repository from its Pool. More...
class | zypp::detail::RepositoryIterator
struct | zypp::detail::ByRepository
| Functor filtering Solvable by Repository. More...

## Namespaces
namespace | zypp
| Easy-to use interface to the ZYPP dependency resolver.
namespace | zypp::detail